<div class="row" *ngIf="loaded">
  <!-- active -->
  <div class="col-xxxl-3 col-md-6">
    <kzm-data-card title="Clientes Activos" type="primary" [data]="analytics.active">
      <img class="analytics-icon" src="assets/icons/users.svg" />
    </kzm-data-card>
  </div>
  <!-- active -->
  <div class="col-xxxl-3 col-md-6">
    <kzm-data-card title="Total de Sellos" type="primary" [data]="analytics.punches">
      <img class="analytics-icon" src="assets/icons/stamp.svg" />
    </kzm-data-card>
  </div>
  <!-- active -->
  <div class="col-xxxl-3 col-md-6">
    <kzm-data-card title="Premios sin Canjear" type="primary" [data]="analytics.ready">
      <img class="analytics-icon" src="assets/icons/gift.svg" />
    </kzm-data-card>
  </div>
  <!-- active -->
  <div class="col-xxxl-3 col-md-6">
    <kzm-data-card title="Premios Canjeados" type="primary" [data]="analytics.redeems">
      <img class="analytics-icon" src="assets/icons/gift.svg" />
    </kzm-data-card>
  </div>
  <!-- puntos en circulacion -->
  <div class="col-lg-12">
    <nb-card>
      <nb-card-header>Puntos en circulaci&oacute;n(Mujeres)</nb-card-header>
      <nb-card-body>
        <kzm-d3-bar [results]="analytics?.outstanding.female"
          xAxisLabel="Limite de Sellos"
          yAxisLabel="Tarjetas"></kzm-d3-bar>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-12">
    <nb-card>
      <nb-card-header>Puntos en circulaci&oacute;n(Hombres)</nb-card-header>
      <nb-card-body>
        <kzm-d3-bar [results]="analytics?.outstanding.male"
          xAxisLabel="Limite de Sellos"
          yAxisLabel="Tarjetas"></kzm-d3-bar>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-12">
    <nb-card>
      <nb-card-header>Puntos en circulaci&oacute;n(No especificado)</nb-card-header>
      <nb-card-body>
        <kzm-d3-bar [results]="analytics?.outstanding.unspecified"
          xAxisLabel="Limit de Sellos"
          yAxisLabel="Tarjetas"></kzm-d3-bar>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-6">
    <nb-card>
      <nb-card-header>Puntos Otorgados</nb-card-header>
      <nb-card-body>
        <ng2-smart-table [source]="punchSource" [settings]="punchSettings"></ng2-smart-table>
      </nb-card-body>
    </nb-card>
  </div>
  <!-- Canjes -->
  <div class="col-lg-6">
    <nb-card>
      <nb-card-header>Canjes</nb-card-header>
      <nb-card-body>
        <ng2-smart-table [source]="redeemSource" [settings]="redeemSettings"></ng2-smart-table>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-12">
    <nb-card>
      <nb-card-header>Codigos de tienda usados</nb-card-header>
      <nb-card-body>
        <ng2-smart-table [source]="inviteSource" [settings]="inviteSettings"></ng2-smart-table>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-12">
    <nb-card>
      <nb-card-header>Usuarios activos</nb-card-header>
      <nb-card-body>
        <ng2-smart-table [source]="activesSource" [settings]="activesSettings"></ng2-smart-table>
      </nb-card-body>
    </nb-card>
  </div>
</div>
